> For the complete documentation index, see [llms.txt](https://docs.sparkloop.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sparkloop.app/api-v3/endpoints/publications/grow/partner-program/referrals.md).

# Referrals

## Partner Program Referrals

A **referral** is one subscriber a partner program received from a partner — a reader who subscribed to the sponsor through a partner's recommendation.

### List referrals

<mark style="color:blue;">`GET`</mark> `https://api.sparkloop.app/v3/publications/:publication_uuid/grow/partner_program/referrals`

Paginated, newest first.

**Path Parameters**

| Name                                                | Type   | Description             |
| --------------------------------------------------- | ------ | ----------------------- |
| publication\_uuid<mark style="color:red;">\*</mark> | String | The publication's UUID. |

**Query Parameters**

| Name   | Type   | Description                                                                       |
| ------ | ------ | --------------------------------------------------------------------------------- |
| expand | String | `recommending_partner` to inline the partner publication that drove the referral. |

{% tabs %}
{% tab title="200: OK" %}

```json
{
  "referrals": [
    <Referral Object>
  ],
  "meta": {
    "per_page": 50,
    "page": 1,
    "total_pages": 9,
    "total_referrals": 412
  }
}
```

{% endtab %}
{% endtabs %}

### Get referral

<mark style="color:blue;">`GET`</mark> `https://api.sparkloop.app/v3/publications/:publication_uuid/grow/partner_program/referrals/:uuid`

**Path Parameters**

| Name                                                | Type   | Description                               |
| --------------------------------------------------- | ------ | ----------------------------------------- |
| publication\_uuid<mark style="color:red;">\*</mark> | String | The publication's UUID.                   |
| uuid<mark style="color:red;">\*</mark>              | String | The referred subscriber's UUID (`sub_…`). |

**Query Parameters**

| Name   | Type   | Description             |
| ------ | ------ | ----------------------- |
| expand | String | `recommending_partner`. |

{% tabs %}
{% tab title="200: OK" %}

```json
{
  "referral": <Referral Object>
}
```

{% endtab %}

{% tab title="404: Not Found" %}

```json
{
  "error": "Resource not found."
}
```

{% endtab %}
{% endtabs %}
